import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, Router } from '@angular/router';
import { MsalService }  from './msal.service';
 
@Injectable() 
export class SecurityGaurdService implements CanActivate {

  constructor(private _router:Router, private msalService: MsalService) { }

  canActivate(route:ActivatedRouteSnapshot): boolean{
    if(this.msalService.isLoggedIn()){
        return true;
    }else{
        return false;
    }
     
  }
}
 